Howto: Get Mudlet on a raspberry pi!

User avatar
demonnic
Posts: 854
Joined: Sat Dec 05, 2009 3:19 pm

Howto: Get Mudlet on a raspberry pi!

Post by demonnic »

Thanks to a new compile time option we can now compile Mudlet for the raspberry pi! You won't be able to use the 3d view of the map, but the 2d view still works and it runs fine on my pi4 4gb. I intend to dig up my pi3 and give it a whirl on that one and report back as well.

I wrote up instructions, with some pictures, at https://wiki.mudlet.org/w/Compiling_Mud ... _buster.29 .

And here are some pictures of Mudlet running on the pi!

These are done at 1024x768 over VNC:

First launch!
FirstLaunch.png

Connected up to God Wars II
god-wars-2.png

And Materia Magica
materia-magica.png

Got the UI from Midnight Sun II
midnight-sun-with-gui-1024x768.png

And since that ui didn't scale well to 1024x768 I ran it using ssh -X on my local display to get a nice 1080p shot. My monitor doesn't have an hdmi port, but the pi supports 1080p natively.
raspberry-pi-1080p-midnightsun2.png

Spookee
Posts: 2
Joined: Thu Feb 17, 2022 8:58 am

Re: Howto: Get Mudlet on a raspberry pi!

Post by Spookee »

Hello,

I've just tried to install Mudlet for the first time on a Raspberry Pi 4B 2GB running Raspberry Pi OS (Bullseye).
I assume that the Linux package on the downloads page won't work for a Pi because it uses an ARM architecture but I'm still a beginner so may be mistaken.

I've got an error when trying to follow the instructions you have provided after the command:

Code: Select all

sudo luarocks install lua-yajl
The following error message is returned:

Code: Select all

Installing luarocks. org/lua-yajl-2.0-1.src.rock

Error: Could not find library file for YAJL
No file libyajl.a in /usr/lib
No file libyajl.a in /usr/lib/x86_64-linux-gnu
No file libyajl. so in /usr/lib
No file libyajl. so in /usr/lib/x86_64-linux-gnu
No file matching libyajl. so.* in /usr/lib
No file matching libyajl. so.* in /usr/lib/x86_64-linux-gnu
You may have to install YAJL in your system and/or pass YAJL_DIR or YAJL_LIBDIR to the luarocks command.
Example: luarocks install lua-yajl YAJL_DIR=/usr/local
Thanks for your time, any hints on how to proceed would be a great help as I'm totally stuck.

User avatar
demonnic
Posts: 854
Joined: Sat Dec 05, 2009 3:19 pm

Re: Howto: Get Mudlet on a raspberry pi!

Post by demonnic »

try

Code: Select all

sudo luarocks install lua-yajl YAJL_LIBDIR=/usr/lib/arm-linux-gnueabihf/ YAJL_INCDIR=/usr/include
It's looking for the 64bit binary by default. https://wiki.mudlet.org/w/Compiling_Mud ... erry_Pi_OS is I believe the most recent set of instructions for compiling on an rpi.

Spookee
Posts: 2
Joined: Thu Feb 17, 2022 8:58 am

Re: Howto: Get Mudlet on a raspberry pi!

Post by Spookee »

Hi demonnic,

Thanks for the insight into why the Bullseye version build was failing.
I've successfully got Mudlet compiled and working using the instructions for the Buster image.

Kurtzisa
Posts: 5
Joined: Fri Sep 02, 2022 4:38 pm

Re: Howto: Get Mudlet on a raspberry pi!

Post by Kurtzisa »

Hello, I try to use your guide to compile Mudlet on my raspberrypi4 but i have this error

Code: Select all

Qt5DBus-so /usr/lib/aarch64-linux-gnu/libQt5Core-so -lGL -lpthread   
/usr/bin/ld: TConsole.o: in function `TConsole::insertText(QString const&, QPoint)':
TConsole.cpp:(.text+0x8c0): undefined reference to `TBuffer::wrapLine(int, int, int, TChar&, bool, bool)'
/usr/bin/ld: TConsole.o: in function `TConsole::luaWrapLine(int)':
TConsole.cpp:(.text+0xee0): undefined reference to `TBuffer::wrapLine(int, int, int, TChar&, bool, bool)'
/usr/bin/ld: TConsole.o: in function `TConsole::printCommand(QString&)':
TConsole.cpp:(.text+0x3708): undefined reference to `TBuffer::wrapLine(int, int, int, TChar&, bool, bool)'
/usr/bin/ld: TConsole.o: in function `TConsole::insertLink(QString const&, QStringList&, QStringList&, QPoint, bool, QVector<int>)':
TConsole.cpp:(.text+0x4e44): undefined reference to `TBuffer::wrapLine(int, int, int, TChar&, bool, bool)'
collect2: error: ld returned 1 exit status
make: *** [Makefile:1531: mudlet] Errore 1
i'm like a monkey on a pc i didn't figure out howto fix this error, any suggestion?

Code: Select all

RETTY_NAME="Debian GNU/Linux 11 (bullseye)"
NAME="Debian GNU/Linux"
VERSION_ID="11"
VERSION="11 (bullseye)"
VERSION_CODENAME=bullseye
ID=debian


uname -m
aarch64



User avatar
demonnic
Posts: 854
Joined: Sat Dec 05, 2009 3:19 pm

Re: Howto: Get Mudlet on a raspberry pi!

Post by demonnic »

We're actually looking into this error currently. This literally just popped up in the last day or two. I'll post back here when development builds on a pi again.

User avatar
demonnic
Posts: 854
Joined: Sat Dec 05, 2009 3:19 pm

Re: Howto: Get Mudlet on a raspberry pi!

Post by demonnic »

Alright, we just merged the fix for the pi builds into development, please try again =)

Kurtzisa
Posts: 5
Joined: Fri Sep 02, 2022 4:38 pm

Re: Howto: Get Mudlet on a raspberry pi!

Post by Kurtzisa »

it works

THANKS!

User avatar
Vadi
Posts: 5005
Joined: Sat Mar 14, 2009 3:13 pm

Re: Howto: Get Mudlet on a raspberry pi!

Post by Vadi »

Do you build on the pi often, or did you just happen to do it recently?

Kurtzisa
Posts: 5
Joined: Fri Sep 02, 2022 4:38 pm

Re: Howto: Get Mudlet on a raspberry pi!

Post by Kurtzisa »

Vadi wrote:
Sat Sep 03, 2022 5:16 am
Do you build on the pi often, or did you just happen to do it recently?
yesterday was the first time i buid something on my pi, today i'm installing another program (Agent DVR) buti it is a script

Post Reply